#pragma once
#include "stdafx.h"
#include "RandomStream.h"
#include <vcclr.h>
#using <mscorlib.dll>



class RandomStreamManager{

public:
   	gcroot<RandomStream*>rStream1;
	gcroot<RandomStream*>rStream2;
	gcroot<RandomStream*>rStream3;
	gcroot<RandomStream*>rStream4;
	gcroot<RandomStream*>rStream5;
	gcroot<RandomStream*>rStream6;
	gcroot<RandomStream*>rStream7;
	gcroot<RandomStream*>rStream8;
	gcroot<RandomStream*>rStream9;
	
	RandomStreamManager(){
		rStream1 = new RandomStream(0);
		rStream2 = new RandomStream(1);
		rStream3 = new RandomStream(2);
		rStream4 = new RandomStream(3);
		rStream5 = new RandomStream(4);
		rStream6 = new RandomStream(5);
		rStream7 = new RandomStream(6);
		rStream8 = new RandomStream(7);
		rStream9 = new RandomStream(8);
	}
};
